#include <stdio.h>


int main() {
  const int i = 123;


     i = 17;

  /* (Exercise 2.)
     int *ip = &i; 
  */

  /* (Exercise 4.)
     int *ip = (int*)(void*)&i;  
  */


  printf("i: %d\n", i);
    
  //  *ip = 129;

  printf("i: %d\n", i); 

  return 0;
}
